Security Enhanced Linux Reference Policy

# Layer: services

## Module: openct

Interfaces

### Description:

Service for handling smart card readers.

### Interfaces:

openct_admin( domain , role )

##### Summary

All of the rules required to administrate an openct environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

openct_domtrans( domain )

##### Summary

Execute a domain transition to run openct.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

openct_exec( domain )

##### Summary

Execute openct in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openct_read_pid_files( domain )

##### Summary

Read openct pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openct_signull( domain )

##### Summary

Send null signals to openct.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openct_stream_connect( domain )

##### Summary

Connect to openct over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return